module acl_jll
using Libdl
is_available() = true
find_artifact_dir() = "/usr"
artifact_dir = "/usr"
const PATH_list = String[]
const LIBPATH_list = String[]
const PATH = Ref("")
const LIBPATH = Ref("")
const LIBPATH_env = "LD_LIBRARY_PATH"
export libacl
const libacl_path = "/usr/lib/libacl.so.1"
libacl_handle = C_NULL
get_libacl_path() = libacl_path
const libacl = "libacl.so.1"
export chacl
const chacl_path = "/usr/bin/chacl"
chacl(f::Function; kw...) = f(chacl_path)
chacl(; kw...) = Cmd([chacl_path])
export getfacl
const getfacl_path = "/usr/bin/getfacl"
getfacl(f::Function; kw...) = f(getfacl_path)
getfacl(; kw...) = Cmd([getfacl_path])
export setfacl
const setfacl_path = "/usr/bin/setfacl"
setfacl(f::Function; kw...) = f(setfacl_path)
setfacl(; kw...) = Cmd([setfacl_path])
function __init__()
    global libacl_handle = dlopen(libacl_path)
end
end
